Refresh access token
POST
/auth/refresh
const url = 'https://example.com/api/auth/refresh';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"refresh_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/auth/refresh \ --header 'Content-Type: application/json' \ --data '{ "refresh_token": "example" }'Accepts refresh_token, returns fresh access and refresh tokens. Rate limited.
Request Body required
Section titled “Request Body required ” Media type application/json
object
refresh_token
required
string
Responses
Section titled “ Responses ”Fresh tokens
Media type application/json
object
access_token
required
string
refresh_token
required
string
expires_in
integer
Invalid request
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
Rate limited
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
retryAfter
Seconds until the rate limit resets
number
Headers
Section titled “Headers ” Retry-After
string